import kv.schemas as schemas
import kv.crud as crud
from kv.database import get_db
from sqlalchemy.orm import Session
from fastapi import APIRouter, Depends
from typing import List
router = APIRouter()

"""post"""


@router.post("/get_rent_register_notices", response_model=List[schemas.RentRegisterNotices])
async def get_rent_register_notices(request: schemas.RentRegisterNoticeInit, db: Session = Depends(get_db)):
    data = crud.ReportViewSet.get_rent_register_notices(db, request)
    return data
